# Uses of Enum Class
javax.net.ssl.SSLEngineResult.HandshakeStatus

Packages that use SSLEngineResult.HandshakeStatus
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

- ## Uses of SSLEngineResult.HandshakeStatus in javax.net.ssl

  Subclasses with type arguments of type SSLEngineResult.HandshakeStatus in javax.net.ssl
  Modifier and Type
  Class
  Description
  `static enum`
  `SSLEngineResult.HandshakeStatus`
  An `SSLEngineResult` enum describing the current handshaking state of this `SSLEngine`.
  Methods in javax.net.ssl that return SSLEngineResult.HandshakeStatus
  Modifier and Type
  Method
  Description
  `abstract SSLEngineResult.HandshakeStatus`
  SSLEngine.`getHandshakeStatus()`
  Returns the current handshake status for this `SSLEngine`.
  `final SSLEngineResult.HandshakeStatus`
  SSLEngineResult.`getHandshakeStatus()`
  Gets the handshake status of this `SSLEngine` operation.
  `static SSLEngineResult.HandshakeStatus`
  SSLEngineResult.HandshakeStatus.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SSLEngineResult.HandshakeStatus[]`
  SSLEngineResult.HandshakeStatus.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in javax.net.ssl with parameters of type SSLEngineResult.HandshakeStatus
  Modifier
  Constructor
  Description
  ``
  `SSLEngineResult(SSLEngineResult.Status status, SSLEngineResult.HandshakeStatus handshakeStatus, int bytesConsumed, int bytesProduced)`
  Initializes a new instance of this class.
  ``
  `SSLEngineResult(SSLEngineResult.Status status, SSLEngineResult.HandshakeStatus handshakeStatus, int bytesConsumed, int bytesProduced, long sequenceNumber)`
  Initializes a new instance of this class.